﻿/**
 * This class contains all the constant values of any type.
 */
export class Constants {
    public static YES: string = "Yes";
    public static NO: string = "No";
    public static MAXMEASUREMENTVALUE: number = 1000000000000;
    public static MINMEASUREMENTVALUE: number = 0.0000000000001;
    public static INCORRECTNEXTPART: number = 9223372036854776000;
    public static TRUE: string = "true";
    public static FALSE: string = "false";
    public static DONE: string = 'done';
    public static SAVE: string = 'save';
    public static NONE: string = 'none';
    public static SVC: string = 'SVC';
    public static CC: string = 'CC';
    public static VISCHART = "VisChart";
    public static IMG: string = 'IMG';
    public static DISPLAY: string = 'inline-block';
    public static SETINACTIVE: string = 'setInactive';
    public static FOCUS: string = 'focus';
    public static VAR: string = 'VAR';
    public static SVCVISATT: string = 'svcVisAtt';
    public static CCSVC1: string = 'ccsvc1';
    public static CCSVC2: string = 'ccsvc2';
    public static CCHISTOGRAM: string = 'ccHistogram';
    public static CCSVCATTVIS: string = 'ccsvcAV2';
    public static BLANK: string = '';
    public static FIRST: string = 'first';
    public static LAST: string = 'last';
    public static UNDEFINED: string = 'undefined';
    public static MIN_LINE_WIDTH: number = 0.5; // %
    public static GRAPH_WIDTH_OFFSET: number = 20;
    public static INCORRECTNUMBER: number = -7.922816251426434e+28;

    // Constants for Visual Bar Chart
    public static BAR_OFFSET_Y: number = 10; // px
    public static INITIAL_VAL_X: number = 0; // px
    public static INITIAL_VAL_Y: number = 10; // px
    public static BAR_INCREMENT_Y: number = 20; // px
    public static DEFAULT_INTERVAL_MARGIN: number = 10; // px
    public static DEFAULT_BAR_HEIGHT: number = 15; // px
    public static DEFAULT_BAR_WIDTH: number = 1; // %
    public static DEFAULT_TEXT_WIDTH: number = 10; // %
    public static DEFAULT_MARGIN: number = 2; // %
    public static INTERVAL_TEXT_OFFSET_X: number = 4; // px
    public static MAX_DEFECT_PLOT_LIMIT: number = 11;

    // Gauge Selection
    public static GAUGE_DIALOG_HEIGHT: number = 45;
}